# docker-mopidy

Mopidy (server and clients: Iris, Rompr + MariaDB) + Snapserver on docker-compose

## Configure

- Change .env file

- Change ./config/mopidy/mopidy.conf (optional)

- Put music into ./music/ directory

## Run

- Run with `docker-compose up`

- Open localhost:80 for Rompr client and connect to Mopidy (Mopidy hostname = `mopidy`; MySQL hostname = 'mysql') or open `localhost:6680/iris/` for Iris client

## Troubleshouting

- If Rompr does not start because MySQL error double check if exists inside ./db_config/mysql.cnf file:

```
[mysqld]
#mmi
log_bin_trust_function_creators = true
```

- If Mopidy does not work with Snapserver double check if exists indise ./config/mopidy/mopidy.conf:

```
[audio]
output = audioresample ! audioconvert ! audio/x-raw,rate=48000,channels=2,format=S16LE ! filesink location=/tmp/snapfifo
```
